%define anolis_release 1
Name: libiptcdata
Version: 1.0.5
Release: %{anolis_release}%{?dist}
Summary: IPTC tag library

License: LGPLv2+
URL: https://github.com/ianw/%{name}
Source0: https://github.com/ianw/%{name}/releases/download/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  gtk-doc
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
libiptcdata is a library for parsing, editing, and saving IPTC data
stored inside images.  IPTC is a standard for encoding metadata such
as captions, titles, locations, etc. in the headers of an image file.
libiptcdata also includes a command-line utility for modifying the
metadata.

%package -n python3-%{name}
Summary:        Python bindings for libiptcdata
Requires:       %{name}%{?_isa} = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires: make

%description -n python3-%{name}
The libiptcdata-python package contains a Python module that allows Python
applications to use the libiptcdata API for reading and writing IPTC
metadata in images.

%package devel
Summary:        Headers and libraries for libiptcdata application development
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The libiptcdata-devel package contains the libraries and include files
that you can use to develop libiptcdata applications.


%prep
%autosetup
# fix compatibility with gtk-doc 1.26
gtkdocize
autoreconf -fiv


%build
#configure --enable-gtk-doc --disable-python --disable-static
export PYTHON_VERSION=%python3_version
%configure --enable-gtk-doc --enable-python --disable-static
%make_build


%install
%make_install
find %{buildroot} -name "*.la" -exec rm -f {} \;
%find_lang %{name} --all-name


%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_bindir}/*
%{_libdir}/lib*.so.*

%files -n python3-%{name}
%doc python/README
%doc python/examples/*
%{python3_sitearch}/*.so

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libiptcdata
%{_datadir}/gtk-doc/html/libiptcdata


%changelog
* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.5-1
- Init from upstream version 1.0.5
